libPocuter 1.0 Support library for programming the Pocuter

Public Types | Public Member Functions | List of all members
PocuterOTA Class Referenceabstract

`#include <PocuterOTA.h>`

## Public Types
enum | POCUTER_PARTITION { PART_APPLOADER, PART_APP1, PART_UNKNOWN }
enum | OTAERROR { OTAERROR_OK = 0, OTAERROR_PATITION_NOT_AVAILABLE, OTAERROR_PATITION_IN_USE, OTAERROR_FILE_NOT_FOUND, OTAERROR_NO_SD_CARD, OTAERROR_FLASHING_FAILED, OTAERROR_MORE_STEPS, OTAERROR_APP_READ_ERROR, OTAERROR_UNKNOWN }

## Public Member Functions
virtual OTAERROR | setNextAppID (uint64_t appID)=0
virtual OTAERROR | getApps (std::vector< uint64_t > *apps, int maxLength, int offset)=0
virtual uint32_t | getAppsCount ()=0
virtual OTAERROR | getAppVersion (uint64_t appID, uint8_t *major, uint8_t *minor, uint8_t *patch)=0
virtual OTAERROR | flashFromSDCard (uint64_t appID, POCUTER_PARTITION partition, bool checkSigning=false, bool stepwise=false, uint8_t *percent=NULL)=0
virtual OTAERROR | bootPartition (POCUTER_PARTITION partition)=0
virtual POCUTER_PARTITION | getCurrentPartition ()=0
virtual OTAERROR | restart ()=0
virtual OTAERROR | verifyPartition (POCUTER_PARTITION partition)=0
virtual OTAERROR | forceBootloaderToReflashApp ()=0

## Member Enumeration Documentation

## ◆ OTAERROR

enum PocuterOTA::OTAERROR

Enumerator
OTAERROR_OK |
OTAERROR_PATITION_NOT_AVAILABLE |
OTAERROR_PATITION_IN_USE |
OTAERROR_FILE_NOT_FOUND |
OTAERROR_NO_SD_CARD |
OTAERROR_FLASHING_FAILED |
OTAERROR_MORE_STEPS |
OTAERROR_APP_READ_ERROR |
OTAERROR_UNKNOWN |

## ◆ POCUTER_PARTITION

enum PocuterOTA::POCUTER_PARTITION

Enumerator
PART_APPLOADER |
PART_APP1 |
PART_UNKNOWN |

## Member Function Documentation

## ◆ bootPartition()

virtual OTAERROR PocuterOTA::bootPartition | ( | POCUTER_PARTITION | partition | ) |
| pure virtual

## ◆ flashFromSDCard()

virtual OTAERROR PocuterOTA::flashFromSDCard | ( | uint64_t | appID,
|  | POCUTER_PARTITION | partition,
|  | bool | checkSigning = `false`,
|  | bool | stepwise = `false`,
|  | uint8_t * | percent = `NULL`
| ) |  |
| pure virtual

## ◆ forceBootloaderToReflashApp()

virtual OTAERROR PocuterOTA::forceBootloaderToReflashApp | ( |  | ) |
| pure virtual

## ◆ getApps()

virtual OTAERROR PocuterOTA::getApps | ( | std::vector< uint64_t > * | apps,
|  | int | maxLength,
|  | int | offset
| ) |  |
| pure virtual

## ◆ getAppsCount()

virtual uint32_t PocuterOTA::getAppsCount | ( |  | ) |
| pure virtual

## ◆ getAppVersion()

virtual OTAERROR PocuterOTA::getAppVersion | ( | uint64_t | appID,
|  | uint8_t * | major,
|  | uint8_t * | minor,
|  | uint8_t * | patch
| ) |  |
| pure virtual

## ◆ getCurrentPartition()

virtual POCUTER_PARTITION PocuterOTA::getCurrentPartition | ( |  | ) |
| pure virtual

## ◆ restart()

virtual OTAERROR PocuterOTA::restart | ( |  | ) |
| pure virtual

## ◆ setNextAppID()

virtual OTAERROR PocuterOTA::setNextAppID | ( | uint64_t | appID | ) |
| pure virtual

## ◆ verifyPartition()

virtual OTAERROR PocuterOTA::verifyPartition | ( | POCUTER_PARTITION | partition | ) |
| pure virtual

The documentation for this class was generated from the following file:

- include/hal/PocuterOTA.h